Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class LayeredHighlighter

    java.lang.Object
      javax.swing.text.LayeredHighlighter

All Implemented Interfaces:
  Highlighter

Direct Known Subclasses:
  DefaultHighlighter

    public abstract class LayeredHighlighter

extends Object
implements Highlighter

See Also:
  `Highlighter`

Nested Class Summary
`static class` | `LayeredHighlighter.LayerPainter` Layered highlight renderer.

Nested classes/interfaces inherited from interface javax.swing.text.Highlighter
`Highlighter.Highlight, Highlighter.HighlightPainter`

Constructor Summary
`LayeredHighlighter()`

Method Summary
`abstract void` | `paintLayeredHighlights(Graphics g, int p0, int p1, Shape viewBounds, JTextComponent editor, View view)` When leaf Views (such as LabelView) are rendering they should call into this method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.text.Highlighter
`addHighlight, changeHighlight, deinstall, getHighlights, install, paint, removeAllHighlights, removeHighlight`

Constructor Detail

### LayeredHighlighter

    public LayeredHighlighter()

Method Detail

### paintLayeredHighlights

    public abstract void paintLayeredHighlights(Graphics g,
                                                int p0,
                                                int p1,
                                                Shape viewBounds,
                                                JTextComponent editor,
                                                View view)

  When leaf Views (such as LabelView) are rendering they should call into this method. If a highlight is in the given region it will be drawn immediately.

  Parameters:
    `g` - Graphics used to draw
    `p0` - starting offset of view
    `p1` - ending offset of view
    `viewBounds` - Bounds of View
    `editor` - JTextComponent
    `view` - View instance being rendered

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.